package org.gcube.portlets.user.workspace.client.event;

import com.google.gwt.event.shared.GwtEvent;

/**
 * 
 * @author Francesco Mangiacrapa francesco.mangiacrapa@isti.cnr.it
 * @Jun 6, 2013
 *
 */
public class SearchItemByIdEvent extends GwtEvent<SearchItemByIdEventHandler> {
	public static Type<SearchItemByIdEventHandler> TYPE = new Type<SearchItemByIdEventHandler>();

	private String itemId;

	public SearchItemByIdEvent(String itemId) {
		this.itemId = itemId;
	}

	@Override
	public Type<SearchItemByIdEventHandler> getAssociatedType() {
		return TYPE;
	}

	@Override
	protected void dispatch(SearchItemByIdEventHandler handler) {
		handler.onSearchItemById(this);

	}

	public String getItemId() {
		return itemId;
	}

	public void setItemId(String itemId) {
		this.itemId = itemId;
	}

}